<? if ( count($this->defined_values) ): ?>

<?
	$selected = $this->selected;
	$existing_filters = $this->existing_filters;
	$defined_values = $this->defined_values;
	$is_grey = true;
	
	if ( count($selected) ) {
		$tmp_values = array();
		$is_grey = false;
		
		foreach( $selected AS $k => $sel ) {
			foreach( $defined_values as $dk => $def_value ) {
				if ( $sel == $def_value['value'] ) {
					$tmp_values[] = $defined_values[$dk];
					unset($defined_values[$dk]);
				}
			}
		}
		
		$defined_values = array_merge($tmp_values, $defined_values);
	}
	
	foreach( $defined_values as $k => $value ) {
		$key = 'cup_size_' . strtolower($value['value']);

		if ( ! $existing_filters->$key && !in_array($value['value'], $selected) ) {
			unset($defined_values[$k]);
		}
	}
	
	$defined_values = array_values($defined_values);
?>
	
	<? if ( count($defined_values) ):?>

	<? if ( $this->is_collapsed ): ?>
		<div class="d-flex clickable">
			<div class="p-1"><i class="ion-chevron-right"></i></div>
			<div class="p-1"  data-toggle="modal" data-target="#modal-<?= $this->mapper_param->getFilter()?>"><?= $this->title ?></div>
		</div>

				<?/*<div class="content">
					<? 
						$count = count($defined_values);
						$count = ceil($count / 2) + 1;
					?>
					<? foreach( $defined_values as $k => $value ): ?>
						<?
							$k += 1;
							if ( $k == 1 ) {
								echo '<div class="l">';
							} else if ( $k % $count == 0 && $k != count($defined_values) ) {
								echo '</div><div class="r">';
							}

						?>
						<label><input class="<?= $this->mapper_param->getName() . '_' . $value['value'] ?>" <?= ( in_array($value['value'], $this->selected) ) ? 'checked="checked"' : '' ?> type="checkbox" value="<?= $value['value'] ?>" name="<?= $this->mapper_param->getName() ?>[]" /> <span><?= $value['title'] ?></span></label>
						<?
							if ( $k == count($defined_values) ) {
								echo '</div>';
							}
						?>
					<? endforeach; ?>		
					<div class="clear"></div>

					<a class="refine" href="#">Refine</a>
					<div class="clear"></div>
				</div>*/?>
			
	<? elseif( $this->render_full ): ?>
		<div id="modal-<?= $this->mapper_param->getFilter() ?>" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
			<div class="modal-dialog modal-sm modal-body"> 
				<div class="modal-content ">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span class="close" aria-hidden="true">×</span>
						<h6 class="modal-title"><?= $this->title ?></h6>
					</button>
					<div class="modal-body">
						<div class="container-fluid">
							<div class="row no-gutters">
								<? foreach( $defined_values as $k => $value ): ?>
									<div class="col-6">
										<label class="custom-control custom-checkbox btn-block">
											<input class="custom-control-input" <?= ( in_array($value['value'], $this->selected) ) ? 'checked="checked"' : '' ?> type="checkbox" value="<?= $value['value'] ?>" name="<?= $this->mapper_param->getName() ?>[]" /> 
											<span class="custom-control-indicator"></span>
											<span class="custom-control-description"><?= $value['title'] ?></span>
										</label>
									</div>
								<? endforeach; ?>
							 </div>
						</div>
					</div>
					<div class="modal-footer">
						<button type="button"  data-role="reset" class="btn btn-sm btn-secondary">
                           Reset
                        </button>
						<button type="button" class="btn btn-sm btn-primary" data-dismiss="modal" aria-label="Close">
                            Filter <i class="ion-checkmark"></i></button>
					</div>
				</div>
			</div>
		</div>
	<? else: ?>
		<div class="filter">
			<span class="title <?= ($is_grey) ? 'grey' : '' ?>"><?= $this->title ?></span>

			<div class="list">
				<? foreach( $defined_values as $k => $value ): ?>
				<? if ( $k + 1 > $this->visible_count ) break; ?>
				<label><input class="<?= $this->mapper_param->getName() . '_' . $value['value'] ?>" <?= ( in_array($value['value'], $this->selected) ) ? 'checked="checked"' : '' ?> type="checkbox" value="<?= $value['value'] ?>" name="<?= $this->mapper_param->getName() ?>[]" /> <span <?= ( in_array($value['value'], $this->selected) ) ? '' : 'class="grey"' ?>><?= $value['title'] ?></span><div class="clear"></div></label>
				<? endforeach; ?>
			</div>
			
			<? if ( count($defined_values) > $this->visible_count ): ?>
			<a class="more" id="f_<?= $this->mapper_param->getName() ?>">... <?= Cubix_I18n::translate('more') ?> &raquo;</a>
			<? endif; ?>
		</div>
	<?endif; ?>
		
	<? endif; ?>	

<? endif; ?>